LibreOffice: SignatureCreator Service Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Exported Interfaces | List of all members
SignatureCreator Service Reference

`import"SignatureCreator.idl";`

Inheritance diagram for SignatureCreator:

## Exported Interfaces
interface | XReferenceResolvedListener
interface | XReferenceCollector
interface | XSignatureCreationResultBroadcaster
interface | XBlockerMonitor
interface | XKeyCollector
interface | XMissionTaker
interface | com::sun::star::xml::crypto::XUriBinding
interface | com::sun::star::lang::XInitialization

## Additional Inherited Members
Public Member Functions inherited from XReferenceResolvedListener
void | referenceResolved ([in] long referenceId) raises ( com::sun::star::uno::Exception )
| Notifies an element has been collected by an element collector. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XReferenceCollector
void | setReferenceCount ([in] long count) raises ( com::sun::star::uno::Exception )
| Sets the reference count of the signature. More...
void | setReferenceId ([in] long id) raises ( com::sun::star::uno::Exception )
| Set the keeper id of the element collector of the referenced element. More...
Public Member Functions inherited from XSignatureCreationResultBroadcaster
void | addSignatureCreationResultListener ([in] XSignatureCreationResultListener listener) raises ( com::sun::star::uno::Exception )
| Adds a new signature creation result listener. More...
void | removeSignatureCreationResultListener ([in] XSignatureCreationResultListener listener)
| Removes a signature creation result listener. More...
Public Member Functions inherited from XBlockerMonitor
void | setBlockerId ([in] long id) raises ( com::sun::star::uno::Exception )
| Configures the blocker's id. More...
Public Member Functions inherited from XKeyCollector
void | setKeyId ([in] long id) raises ( com::sun::star::uno::Exception )
| Set the keeper id of the key element. More...
Public Member Functions inherited from XMissionTaker
boolean | endMission ()
| Forces a mission to make an end. More...
Public Member Functions inherited from XUriBinding
void | setUriBinding ([in] string uri, [in] com::sun::star::io::XInputStream InputStream) raises ( com::sun::star::uno::Exception )
| Sets the XInputStream interface for a uri. More...
com::sun::star::io::XInputStream | getUriBinding ([in] string uri) raises ( com::sun::star::uno::Exception )
| Gets the XInputStream interface for a uri. More...
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...

## Exported Interfaces

## ◆ com::sun::star::lang::XInitialization

interface com::sun::star::lang::XInitialization

## ◆ com::sun::star::xml::crypto::XUriBinding

interface com::sun::star::xml::crypto::XUriBinding

## ◆ XBlockerMonitor

interface XBlockerMonitor

## ◆ XKeyCollector

interface XKeyCollector

## ◆ XMissionTaker

interface XMissionTaker

## ◆ XReferenceCollector

interface XReferenceCollector

## ◆ XReferenceResolvedListener

interface XReferenceResolvedListener

## ◆ XSignatureCreationResultBroadcaster

interface XSignatureCreationResultBroadcaster

The documentation for this service was generated from the following file:

- com/sun/star/xml/crypto/sax/SignatureCreator.idl